Subject: bug#17507: Documentation for `add-text-property' and relatives

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Aug 2019 18:20:33 -0700

Eli Barzilay <[email-masked]> writes:

> Um...  Note that I referred *explicitly* to other lisps and schemes.
> The assumption that I'm talking about would hold for people who are
> used to CL too: a string is indeed more than just a pointer bytes with
> a NUL at the end, yet there is no way to change a *property* of "foo"
> and end up with #("foo" stuff...).

If there were a way to put properties on string objects in a Common Lisp
implementation, I would expect that it would work just as it does in
Emacs: Not wrapping the string in some other object, but just extend the
object itself.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no